// Garden Gnome Software - Skin
// Pano2VR pro 4.1.0/3404
// Filename: Skin.ggsk
// Generated Thu Jul 4 12:14:30 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._hide_elements=document.createElement('div');
		this._hide_elements.ggId='hide_elements';
		this._hide_elements.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hide_elements.ggVisible=false;
		this._hide_elements.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 198px;';
		hs+='top:  76px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._hide_elements.setAttribute('style',hs);
		this._normal=document.createElement('div');
		this._normal.ggId='normal';
		this._normal.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._normal.ggVisible=true;
		this._normal.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: -5px;';
		hs+='top:  113px;';
		hs+='width: 149px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._normal.setAttribute('style',hs);
		this._hide_elements.appendChild(this._normal);
		this._active=document.createElement('div');
		this._active.ggId='active';
		this._active.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._active.ggVisible=true;
		this._active.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 51px;';
		hs+='top:  72px;';
		hs+='width: 149px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffff00;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._active.setAttribute('style',hs);
		this._red_dot=document.createElement('div');
		this._red_dot.ggId='red_dot';
		this._red_dot.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._red_dot.ggVisible=true;
		this._red_dot.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 2px;';
		hs+='top:  2px;';
		hs+='width: 15px;';
		hs+='height: 14px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ff0000;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._red_dot.setAttribute('style',hs);
		this._active.appendChild(this._red_dot);
		this._hide_elements.appendChild(this._active);
		this.divSkin.appendChild(this._hide_elements);
		this._marker_1=document.createElement('div');
		this._marker_1.ggId='Marker 1';
		this._marker_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_1.ggVisible=true;
		this._marker_1.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  10px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_1.setAttribute('style',hs);
		this._marker_1.ggMarkerNodeId='loc01';
		nodeMarker.push(this._marker_1);
		this._marker_1.onclick=function () {
			me.player.openNext("pano_01_out.swf","");
		}
		this._text_1=document.createElement('div');
		this._text_1.ggId='Text 1';
		this._text_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_1.ggVisible=true;
		this._text_1.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_1.setAttribute('style',hs);
		this._text_1.innerHTML="Location One";
		this._marker_1.appendChild(this._text_1);
		this._click1=document.createElement('div');
		this._click1.ggId='click';
		this._click1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._click1.ggVisible=true;
		this._click1.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._click1.setAttribute('style',hs);
		this._marker_1.appendChild(this._click1);
		this.divSkin.appendChild(this._marker_1);
		this._marker_2=document.createElement('div');
		this._marker_2.ggId='Marker 2';
		this._marker_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_2.ggVisible=true;
		this._marker_2.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  32px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_2.setAttribute('style',hs);
		this._marker_2.ggMarkerNodeId='loc02';
		nodeMarker.push(this._marker_2);
		this._marker_2.onclick=function () {
			me.player.openNext("pano_02_out.swf","");
		}
		this._text_20=document.createElement('div');
		this._text_20.ggId='Text 2';
		this._text_20.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_20.ggVisible=true;
		this._text_20.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_20.setAttribute('style',hs);
		this._text_20.innerHTML="Location Two";
		this._marker_2.appendChild(this._text_20);
		this._click0=document.createElement('div');
		this._click0.ggId='click';
		this._click0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._click0.ggVisible=true;
		this._click0.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._click0.setAttribute('style',hs);
		this._marker_2.appendChild(this._click0);
		this.divSkin.appendChild(this._marker_2);
		this._marker_3=document.createElement('div');
		this._marker_3.ggId='Marker 3';
		this._marker_3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_3.ggVisible=true;
		this._marker_3.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  54px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._marker_3.setAttribute('style',hs);
		this._marker_3.ggMarkerNodeId='loc03';
		nodeMarker.push(this._marker_3);
		this._marker_3.onclick=function () {
			me.player.openNext("pano_05_out.swf","");
		}
		this._text_2=document.createElement('div');
		this._text_2.ggId='Text 2';
		this._text_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_2.ggVisible=true;
		this._text_2.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_2.setAttribute('style',hs);
		this._text_2.innerHTML="Location Three";
		this._marker_3.appendChild(this._text_2);
		this._click=document.createElement('div');
		this._click.ggId='click';
		this._click.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._click.ggVisible=true;
		this._click.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._click.setAttribute('style',hs);
		this._marker_3.appendChild(this._click);
		this.divSkin.appendChild(this._marker_3);
		this._marker_1__normal=this._normal.cloneNode(true);
		this._marker_1__normal.style.visibility='inherit';
		this._marker_1__normal.style.left=0;
		this._marker_1__normal.style.top=0;
		this._marker_1.ggMarkerNormal=this._marker_1__normal;
		this._marker_1__active=this._active.cloneNode(true);
		this._marker_1__active.style.visibility='hidden';
		this._marker_1__active.style.left=0;
		this._marker_1__active.style.top=0;
		this._marker_1.ggMarkerActive=this._marker_1__active;
		if (this._marker_1.firstChild) {
			this._marker_1.insertBefore(this._marker_1__active,this._marker_1.firstChild);
		} else {
			this._marker_1.appendChild(this._marker_1__active);
		}
		if (this._marker_1.firstChild) {
			this._marker_1.insertBefore(this._marker_1__normal,this._marker_1.firstChild);
		} else {
			this._marker_1.appendChild(this._marker_1__normal);
		}
		this._marker_2__normal=this._normal.cloneNode(true);
		this._marker_2__normal.style.visibility='inherit';
		this._marker_2__normal.style.left=0;
		this._marker_2__normal.style.top=0;
		this._marker_2.ggMarkerNormal=this._marker_2__normal;
		this._marker_2__active=this._active.cloneNode(true);
		this._marker_2__active.style.visibility='hidden';
		this._marker_2__active.style.left=0;
		this._marker_2__active.style.top=0;
		this._marker_2.ggMarkerActive=this._marker_2__active;
		if (this._marker_2.firstChild) {
			this._marker_2.insertBefore(this._marker_2__active,this._marker_2.firstChild);
		} else {
			this._marker_2.appendChild(this._marker_2__active);
		}
		if (this._marker_2.firstChild) {
			this._marker_2.insertBefore(this._marker_2__normal,this._marker_2.firstChild);
		} else {
			this._marker_2.appendChild(this._marker_2__normal);
		}
		this._marker_3__normal=this._normal.cloneNode(true);
		this._marker_3__normal.style.visibility='inherit';
		this._marker_3__normal.style.left=0;
		this._marker_3__normal.style.top=0;
		this._marker_3.ggMarkerNormal=this._marker_3__normal;
		this._marker_3__active=this._active.cloneNode(true);
		this._marker_3__active.style.visibility='hidden';
		this._marker_3__active.style.left=0;
		this._marker_3__active.style.top=0;
		this._marker_3.ggMarkerActive=this._marker_3__active;
		if (this._marker_3.firstChild) {
			this._marker_3.insertBefore(this._marker_3__active,this._marker_3.firstChild);
		} else {
			this._marker_3.appendChild(this._marker_3__active);
		}
		if (this._marker_3.firstChild) {
			this._marker_3.insertBefore(this._marker_3__normal,this._marker_3.firstChild);
		} else {
			this._marker_3.appendChild(this._marker_3__normal);
		}
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};